Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.commons.jxpath
Class JXPathBasicBeanInfo

    java.lang.Object
      org.apache.commons.jxpath.JXPathBasicBeanInfo

All Implemented Interfaces:
  Serializable, JXPathBeanInfo

    public class JXPathBasicBeanInfo

extends Object
implements JXPathBeanInfo

An implementation of JXPathBeanInfo based on JavaBeans' BeanInfo. Properties advertised by JXPathBasicBeanInfo are the same as those advertised by BeanInfo for the corresponding class.

Version:
  $Revision: 668329 $ $Date: 2008-06-16 16:59:48 -0500 (Mon, 16 Jun 2008) $
Author:
  Dmitri Plotnikov
See Also:
  `BeanInfo`, `Introspector`, Serialized Form

Constructor Summary
`JXPathBasicBeanInfo(Class clazz)` Create a new JXPathBasicBeanInfo.
`JXPathBasicBeanInfo(Class clazz, boolean atomic)` Create a new JXPathBasicBeanInfo.
`JXPathBasicBeanInfo(Class clazz, Class dynamicPropertyHandlerClass)` Create a new JXPathBasicBeanInfo.

Method Summary
`Class` | `getDynamicPropertyHandlerClass()` For a dynamic class, returns the corresponding DynamicPropertyHandler class.
`PropertyDescriptor` | `getPropertyDescriptor(String propertyName)` Returns a PropertyDescriptor for the specified name or null if there is no such property.
`PropertyDescriptor[]` | `getPropertyDescriptors()` Returns a list of property descriptors for the beans described by this bean info object.
`boolean` | `isAtomic()` Returns true if objects of this class are treated as atomic objects which have no properties of their own.
`boolean` | `isDynamic()` Return true if the corresponding objects have dynamic properties.
`String` | `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### JXPathBasicBeanInfo

    public JXPathBasicBeanInfo(Class clazz)

  Create a new JXPathBasicBeanInfo.

  Parameters:
    `clazz` - bean class

### JXPathBasicBeanInfo

    public JXPathBasicBeanInfo(Class clazz,
                               boolean atomic)

  Create a new JXPathBasicBeanInfo.

  Parameters:
    `clazz` - bean class
    `atomic` - whether objects of this class are treated as atomic objects which have no properties of their own.

### JXPathBasicBeanInfo

    public JXPathBasicBeanInfo(Class clazz,
                               Class dynamicPropertyHandlerClass)

  Create a new JXPathBasicBeanInfo.

  Parameters:
    `clazz` - bean class
    `dynamicPropertyHandlerClass` - dynamic property handler class

Method Detail

### isAtomic

    public boolean isAtomic()

  Returns true if objects of this class are treated as atomic objects which have no properties of their own.

  Specified by:
    `isAtomic` in interface `JXPathBeanInfo`
  Returns:
    boolean

### isDynamic

    public boolean isDynamic()

  Return true if the corresponding objects have dynamic properties.

  Specified by:
    `isDynamic` in interface `JXPathBeanInfo`
  Returns:
    boolean

### getPropertyDescriptors

    public PropertyDescriptor[] getPropertyDescriptors()

  Description copied from interface: `JXPathBeanInfo`
  Returns a list of property descriptors for the beans described by this bean info object. Returns null for atomic beans.

  Specified by:
    `getPropertyDescriptors` in interface `JXPathBeanInfo`
  Returns:
    PropertyDescriptor[]

### getPropertyDescriptor

    public PropertyDescriptor getPropertyDescriptor(String propertyName)

  Description copied from interface: `JXPathBeanInfo`
  Returns a PropertyDescriptor for the specified name or null if there is no such property.

  Specified by:
    `getPropertyDescriptor` in interface `JXPathBeanInfo`
  Parameters:
    `propertyName` - property name
  Returns:
    PropertyDescriptor

### getDynamicPropertyHandlerClass

    public Class getDynamicPropertyHandlerClass()

  For a dynamic class, returns the corresponding DynamicPropertyHandler class.

  Specified by:
    `getDynamicPropertyHandlerClass` in interface `JXPathBeanInfo`
  Returns:
    Class

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2008 The Apache Software Foundation. All Rights Reserved.